## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class GroupByContentViewer.Holder

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder

Direct Known Subclasses:
  GroupByContentViewer.GroupByContentHolder, GroupByContentViewer.GroupingSetContentHolder, GroupByContentViewer.GroupingSetGroupContentHolder, GroupByContentViewer.SuperGroupExpressionHolder, GroupByContentViewer.SuperGroupExpressionSublistHolder

Enclosing class:
  GroupByContentViewer

    public abstract class GroupByContentViewer.Holder

extends java.lang.Object

Constructor Summary
`GroupByContentViewer.Holder(java.lang.Object parent, java.lang.Object child)`

Method Summary
`abstract void` `create(java.lang.String objectType)`
`abstract void` `empty()`
`abstract QueryValueExpression` `getExpression()`
`abstract void` `setExpression(QueryValueExpression newExpression)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupByContentViewer.Holder

    public GroupByContentViewer.Holder(java.lang.Object parent,
                                       java.lang.Object child)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getExpression

    public abstract QueryValueExpression getExpression()

### setExpression

    public abstract void setExpression(QueryValueExpression newExpression)

### empty

    public abstract void empty()

### create

    public abstract void create(java.lang.String objectType)